// @(#) graphics.h
// @(#) ~~~~~~~~~~~
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
// @(#) This source is Copyright(c). 1997 by Brent York, All Rights
// @(#) Reserved. This source falls under the gnu general public licence.
// @(#) Mon - 5 - May 11:30Pm - @ - [GCC(Devel for Linux)]
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//  Comment:     
// 
//    This is the header file for graphics.c 
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

#ifndef __GFX_H__
#define __GFX_H__

void GFX_Init(void);
void GFX_Setvidmode(int mode);
void GFX_Vret(void);
void GFX_Flip(unsigned char *buffer, int width, int height);
void GFX_SetPalette(int c, int r, int g, int b);
void GFX_GetPalette(int c, int *r, int *g, int *b);
void GFX_SetPR(unsigned char *buffer);
void GFX_GetPR(unsigned char *buffer);

#endif

