// @(#) graphics.c
// @(#) ~~~~~~~~~~~
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
// @(#) This source is Copyright(c). 1997 by Brent York, All Rights
// @(#) Reserved. This source falls under the gnu general public licence.
// @(#) Mon - 5 - May 11:30Pm - @ - [GCC(Devel for Linux)]
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//  Comment:     
// 
//    This is the linux gcc source for using svgalib routines for making 
//  graphics routines of our own.
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

#include <vga.h>
#include <vgagl.h>
#include "graphics.h"

void GFX_Init(void) {
  vga_init();
}


void GFX_Setvidmode(int mode) {
  vga_setmode(mode);
  gl_setcontextvga(mode);
}


void GFX_Vret(void) {
  vga_waitretrace();
}


void GFX_Flip(unsigned char *buffer, int width, int height) {
  gl_putbox(0,0,width,height,buffer);
}


void GFX_SetPalette(int c, int r, int g, int b) {
  gl_setpalettecolor(c,r,g,b);
}


void GFX_GetPalette(int c, int *r, int *g, int *b) {
  gl_getpalettecolor(c,r,g,b);
}


void GFX_SetPR(unsigned char *buffer) {
  gl_setpalette(buffer);
}


void GFX_GetPR(unsigned char *buffer) {
  gl_getpalette(buffer);
}

// End of GFX library.



